discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Pixen 0.1 Compiles OK (lot of warnings of course) Starts Up and Imme


From: Citizen Jimserac
Subject: Re: Pixen 0.1 Compiles OK (lot of warnings of course) Starts Up and Immediately Crashes
Date: Thu, 24 Jan 2013 06:57:52 -0800 (PST)
User-agent: G2/1.0

On Jan 24, 8:29 am, Riccardo Mottola <address@hidden>
wrote:
> Hi,
>
>
>
>
>
>
>
>
>
> Luboš Doležel wrote:
>
> > The original source code license is still valid... so it should be OK.
>
> > I tried to make the current binary work with GNUstep, but it needs the
> > WebKit.framework:
>
> > $ dyld Contents/MacOS/Pixen
>
> > Cannot load
> > @loader_path/../Frameworks/Sparkle.framework/Versions/A/Sparkle:
> > Cannot load
> > /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit: File
> > not found: /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
>
> > WebKit.framework seems to be a hell of an API to reimplement...
>
> Perhaps it is only used for some help system or some non-essential task
> and for that you could just try linking against simple-webkit which
> implements a subset of WebKit.
>
> Riccardo

Intriguing.  I've already downloaded and compiled simple-webkit.  Nice
stuff by the way, I'll get to experimenting with that...

But meanwhile, how does one link Pixen 0.1 (the source code I'm
experimenting with) with simple-webkit ?

Thanks!
J




reply via email to

[Prev in Thread] Current Thread [Next in Thread]